 arch/i386/kernel/setup.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/i386/kernel/setup.c~ia32-efi-support-mem-equals-fix arch/i386/kernel/setup.c
--- 25/arch/i386/kernel/setup.c~ia32-efi-support-mem-equals-fix	2003-10-15 10:17:57.000000000 -0700
+++ 25-akpm/arch/i386/kernel/setup.c	2003-10-15 10:19:04.000000000 -0700
@@ -150,12 +150,12 @@ static void __init limit_regions(unsigne
 
 	if (efi_enabled) {
 		for (i = 0; i < memmap.nr_map; i++) {
-			current_size = memmap.map[i].phys_addr +
+			current_addr = memmap.map[i].phys_addr +
 				       (memmap.map[i].num_pages << 12);
 			if (memmap.map[i].type == EFI_CONVENTIONAL_MEMORY) {
-				if (current_size > size) {
+				if (current_addr >= size) {
 					memmap.map[i].num_pages -=
-						(((current_size-size) + PAGE_SIZE-1) >> PAGE_SHIFT);
+						(((current_addr-size) + PAGE_SIZE-1) >> PAGE_SHIFT);
 					memmap.nr_map = i + 1;
 					return;
 				}

_
